import time

from base64 import urlsafe_b64encode
from django.utils.hashcompat import sha_constructor


def get_hash(seed):
    sha_digest = sha_constructor('%s%s' %
        (time.time(), unicode(seed).encode('utf-8', 'replace'))).digest()
    return urlsafe_b64encode(sha_digest).replace('=', '').replace('_', '-').lower()
